-- GENERATE ID USING SEQUENCE AND TRIGGER
CREATE SEQUENCE LZ_GOALS_SEQ START WITH 1 INCREMENT BY 1;

CREATE OR REPLACE TRIGGER LZ_GOALS_SEQ_TRG
 BEFORE INSERT ON LZ_GOALS FOR EACH ROW
 WHEN (NEW."ID" IS NULL)
BEGIN
 SELECT LZ_GOALS_SEQ.NEXTVAL INTO :NEW."ID" FROM DUAL;
END;
/

-- GENERATE ID USING SEQUENCE AND TRIGGER
CREATE SEQUENCE LZ_VISITOR_DATA_BROWSERS_SEQ START WITH 1 INCREMENT BY 1;

CREATE OR REPLACE TRIGGER LZ_VISITOR_DATA_BROWSERS_TRG
 BEFORE INSERT ON LZ_VISITOR_DATA_BROWSERS FOR EACH ROW
 WHEN (NEW."ID" IS NULL)
BEGIN
 SELECT LZ_VISITOR_DATA_BROWSERS_SEQ.NEXTVAL INTO :NEW."ID" FROM DUAL;
END;
/

-- GENERATE ID USING SEQUENCE AND TRIGGER
CREATE SEQUENCE LZ_VISITOR_DATA_CITIES_SEQ START WITH 1 INCREMENT BY 1;

CREATE OR REPLACE TRIGGER LZ_VISITOR_DATA_CITIES_TRG
 BEFORE INSERT ON LZ_VISITOR_DATA_CITIES FOR EACH ROW
 WHEN (NEW."ID" IS NULL)
BEGIN
 SELECT LZ_VISITOR_DATA_CITIES_SEQ.NEXTVAL INTO :NEW."ID" FROM DUAL;
END;
/

-- GENERATE ID USING SEQUENCE AND TRIGGER
CREATE SEQUENCE LZ_VISITOR_DATA_CRAWLERS_SEQ START WITH 1 INCREMENT BY 1;

CREATE OR REPLACE TRIGGER LZ_VISITOR_DATA_CRAWLERS_TRG
 BEFORE INSERT ON LZ_VISITOR_DATA_CRAWLERS FOR EACH ROW
 WHEN (NEW."ID" IS NULL)
BEGIN
 SELECT LZ_VISITOR_DATA_CRAWLERS_SEQ.NEXTVAL INTO :NEW."ID" FROM DUAL;
END;
/

-- GENERATE ID USING SEQUENCE AND TRIGGER
CREATE SEQUENCE LZ_VISITOR_DATA_DOMAINS_SEQ START WITH 1 INCREMENT BY 1;

CREATE OR REPLACE TRIGGER LZ_VISITOR_DATA_DOMAINS_TRG
 BEFORE INSERT ON LZ_VISITOR_DATA_DOMAINS FOR EACH ROW
 WHEN (NEW."ID" IS NULL)
BEGIN
 SELECT LZ_VISITOR_DATA_DOMAINS_SEQ.NEXTVAL INTO :NEW."ID" FROM DUAL;
END;
/

-- GENERATE ID USING SEQUENCE AND TRIGGER
CREATE SEQUENCE LZ_VISITOR_DATA_ISPS_SEQ START WITH 1 INCREMENT BY 1;

CREATE OR REPLACE TRIGGER LZ_VISITOR_DATA_ISPS_TRG
 BEFORE INSERT ON LZ_VISITOR_DATA_ISPS FOR EACH ROW
 WHEN (NEW."ID" IS NULL)
BEGIN
 SELECT LZ_VISITOR_DATA_ISPS_SEQ.NEXTVAL INTO :NEW."ID" FROM DUAL;
END;
/

-- GENERATE ID USING SEQUENCE AND TRIGGER
CREATE SEQUENCE LZ_VISITOR_DATA_PAGES_SEQ START WITH 1 INCREMENT BY 1;

CREATE OR REPLACE TRIGGER LZ_VISITOR_DATA_PAGES_TRG
 BEFORE INSERT ON LZ_VISITOR_DATA_PAGES FOR EACH ROW
 WHEN (NEW."ID" IS NULL)
BEGIN
 SELECT LZ_VISITOR_DATA_PAGES_SEQ.NEXTVAL INTO :NEW."ID" FROM DUAL;
END;
/

-- GENERATE ID USING SEQUENCE AND TRIGGER
CREATE SEQUENCE LZ_VISITOR_DATA_PATHS_SEQ START WITH 1 INCREMENT BY 1;

CREATE OR REPLACE TRIGGER LZ_VISITOR_DATA_PATHS_TRG
 BEFORE INSERT ON LZ_VISITOR_DATA_PATHS FOR EACH ROW
 WHEN (NEW."ID" IS NULL)
BEGIN
 SELECT LZ_VISITOR_DATA_PATHS_SEQ.NEXTVAL INTO :NEW."ID" FROM DUAL;
END;
/

-- GENERATE ID USING SEQUENCE AND TRIGGER
CREATE SEQUENCE LZ_VISITOR_DATA_QUERIES_SEQ START WITH 1 INCREMENT BY 1;

CREATE OR REPLACE TRIGGER LZ_VISITOR_DATA_QUERIES_TRG
 BEFORE INSERT ON LZ_VISITOR_DATA_QUERIES FOR EACH ROW
 WHEN (NEW."ID" IS NULL)
BEGIN
 SELECT LZ_VISITOR_DATA_QUERIES_SEQ.NEXTVAL INTO :NEW."ID" FROM DUAL;
END;
/

-- GENERATE ID USING SEQUENCE AND TRIGGER
CREATE SEQUENCE LZ_VISITOR_DATA_REGIONS_SEQ START WITH 1 INCREMENT BY 1;

CREATE OR REPLACE TRIGGER LZ_VISITOR_DATA_REGIONS_TRG
 BEFORE INSERT ON LZ_VISITOR_DATA_REGIONS FOR EACH ROW
 WHEN (NEW."ID" IS NULL)
BEGIN
 SELECT LZ_VISITOR_DATA_REGIONS_SEQ.NEXTVAL INTO :NEW."ID" FROM DUAL;
END;
/

-- GENERATE ID USING SEQUENCE AND TRIGGER
CREATE SEQUENCE LZ_VISITOR_DATA_RESOL_SEQ START WITH 1 INCREMENT BY 1;

CREATE OR REPLACE TRIGGER LZ_VISITOR_DATA_RESOL_TRG
 BEFORE INSERT ON LZ_VISITOR_DATA_RESOLUTIONS FOR EACH ROW
 WHEN (NEW."ID" IS NULL)
BEGIN
 SELECT LZ_VISITOR_DATA_RESOL_SEQ.NEXTVAL INTO :NEW."ID" FROM DUAL;
END;
/

-- GENERATE ID USING SEQUENCE AND TRIGGER
CREATE SEQUENCE LZ_VISITOR_DATA_SYSTEMS_SEQ START WITH 1 INCREMENT BY 1;

CREATE OR REPLACE TRIGGER LZ_VISITOR_DATA_SYSTEMS_TRG
 BEFORE INSERT ON LZ_VISITOR_DATA_SYSTEMS FOR EACH ROW
 WHEN (NEW."ID" IS NULL)
BEGIN
 SELECT LZ_VISITOR_DATA_SYSTEMS_SEQ.NEXTVAL INTO :NEW."ID" FROM DUAL;
END;
/

-- GENERATE ID USING SEQUENCE AND TRIGGER
CREATE SEQUENCE LZ_VISITOR_DATA_TITLES_SEQ START WITH 1 INCREMENT BY 1;

CREATE OR REPLACE TRIGGER LZ_VISITOR_DATA_TITLES_TRG
 BEFORE INSERT ON LZ_VISITOR_DATA_TITLES FOR EACH ROW
 WHEN (NEW."ID" IS NULL)
BEGIN
 SELECT LZ_VISITOR_DATA_TITLES_SEQ.NEXTVAL INTO :NEW."ID" FROM DUAL;
END;
/
